So, nothing against the Bourne shell, but I'd like to install bash and tcsh. Sadly, I'm not familiar with the ipkg system that most Pre root setups use. When I attempt to install bash:

Code:
sudo ipkg-opt install bash
I get the message:

Code:
Installing bash (3.2.33-1) to root...
Downloading http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/bash_3.2.33-1_arm.ipk
wget: server returned error: HTTP/1.1 404 Not Found
Nothing to be done
An error ocurred, return value: 22.
Collected errors:
ipkg_download: ERROR: Command failed with return value 1: `wget --passive-ftp    -q -P /opt/ipkg-DN5Uih http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/bash_3.2.33-1_arm.ipk'
Failed to download bash. Perhaps you need to run 'ipkg update'?
I've left the most relevant part in normal code format. I tried the update suggestion, without success. When I go to the parent directory of the URL in the error message, I note that bash_3.2.33-1_arm.ipk is not available, but bash_3.2.49-1_arm.ipk is. I just don't know how to tell ipkg to use bash_3.2.49-1_arm.ipk. Anyone know how to do that?